=== debian/changelog ===
remctl (2.16-1) unstable; urgency=low

  * New upstream release.
    - Add Ruby bindings (install libremctl-ruby).
    - Add support for PCRE and regex ACLs in the remctl server.
    - remctld now sets REMCTL_COMMAND to the command run.
  * Use dh_gencontrol -- -V to pass the PHP version substvar instead of
    writing it to the substvars file.
  * Switch to 3.0 (quilt) source format.  Force a single Debian patch and
    include a custom patch header explaining that it is a rollup of any
    fixes cherry-picked from upstream and breaking those patches out
    separately would be work for no gain.

 -- Russ Allbery <rra@debian.org>  Sun, 02 May 2010 18:13:50 -0700

remctl (2.15-3) unstable; urgency=low

  * Make use of the new Makefile variables in the upstream 2.15 release to
    control the Python installation and test suite.  Hopefully fixes
    installation with Python 2.6 as the default.  (Closes: #571509)
  * Fix the PHP tests to work properly with PHP 5.3, which no longer
    passes environment variables through to the running test programs.
  * Downgrade the libremctl-dev dependency on libkrb5-dev to suggests
    since it's only required for static linking.
  * Fix a spelling error in the Net::Remctl man page.
  * Update standards version to 3.8.4 (no changes required).

 -- Russ Allbery <rra@debian.org>  Thu, 25 Feb 2010 18:06:48 -0800

remctl (2.15-2) unstable; urgency=low

  * Do not add php5 as an alternative to the phpapi dependency in
    php5-remctl, fixing problems with the upcoming PHP 5.3 transition.
    Thanks, Raphael Geissert.  (Closes: #566300)

 -- Russ Allbery <rra@debian.org>  Fri, 22 Jan 2010 11:21:37 -0800

remctl (2.15-1) unstable; urgency=low

  * New upstream release.
    - Allow the subcommand to be omitted on the remctl command line.
    - New special keyword EMPTY in remctld configuration.
    - Allow use of ALL for the command in the remctld configuration.
    - Fix read of uninitialized memory when parsing ACL files.
  * Fix debian/rules logic for forcing Python module tests to be run using
    the default version of Python.

 -- Russ Allbery <rra@debian.org>  Sun, 29 Nov 2009 18:51:38 -0800

remctl (2.14-4) unstable; urgency=low

  * Add --install-layout=deb to the Python setup.py install commands to
    support Python 2.6.
  * Add php5-cli to the build dependencies so that the test suite is run.
  * Update to debhelper compatibility level V7.
    - Use debhelper rule minimization with overrides.
    - Skip the test suite if nocheck is set in DEB_BUILD_OPTIONS.
    - Let dh_install handle installation of remctl.conf.
    - Add ${misc:Depends} to all dependencies.
  * Apply a build-time fix to the upstream Makefile to only use the Python
    build directory for the default version of Python.  This is required
    now that make check is run after building Python modules for all
    supported versions.
  * Use the right optimization and warning flags when relinking libremctl.

 -- Russ Allbery <rra@debian.org>  Thu, 27 Aug 2009 19:28:16 -0700

remctl (2.14-3) unstable; urgency=low

  * Stop including the protocol documentation in remctl-server.  Add a
    pointer to the remctl-client package for protocol documentation in
    remctl-server's README.Debian.
  * Add a doc-base registration file for the remctl protocol specification
    in remctl-client.
  * Do not install the libremctl.la file.  Libtool *.la files force other
    packages using Libtool to declare excessive library dependencies.
  * Add an explicit build-dependency on Perl.  It was being pulled in by
    other build dependencies, but this is more correct.
  * Update standards version to 3.8.3 (no changes required).

 -- Russ Allbery <rra@debian.org>  Mon, 24 Aug 2009 16:12:57 -0700

remctl (2.14-2) unstable; urgency=low

  * Fix test suite behavior when IPv6 support is available in the library
    but disabled in the kernel.  Thanks, Peter 'p2' De Schrijver.
    (Closes: #530573)
  * Change php5-remctl's section to php to match override.

 -- Russ Allbery <rra@debian.org>  Mon, 08 Jun 2009 00:21:09 -0700

remctl (2.14-1) unstable; urgency=low

  * New upstream release.
    - remctld can be configured to pass an argument on standard input.
    - Arguments passed on standard input may now contain nuls.
    - remctld logging now replaces unprintable characters.
    - "command" and "subcommand" are now used instead of "type" and
      "service" in all documentation of remctl commands.
    - Better diagnosis of nul characters in command arguments.
    - Plug several memory leaks in the remctld server.
  * Allow php5 as an alternative for the phpapi dependency to avoid a
    Lintian warning (although I'm not sure this change is correct and need
    to investigate further later).
  * Update standards version to 3.8.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Fri, 22 May 2009 16:20:45 -0700

remctl (2.13-3) unstable; urgency=low

  * Upload to unstable.

 -- Russ Allbery <rra@debian.org>  Mon, 16 Feb 2009 20:13:34 -0800

remctl (2.13-2) experimental; urgency=low

  * Call open() with the correct arguments when creating a sentinel file
    in the test suite.  (LP: #307326)

 -- Russ Allbery <rra@debian.org>  Thu, 11 Dec 2008 19:30:14 -0800

remctl (2.13-1) experimental; urgency=low

  * New upstream release.
    - New PHP PECL bindings for libremctl (php5-remctl).
    - New Python remctl extension (python-remctl).
    - Add support for ACL methods to the remctld server.
    - Add the deny ACL method to reject authentication by certain users.
    - Add the princ ACL method, allowing direct specification of
      particular principals in the main configuration file.
    - When processing the include of a directory for configuration or ACL
      files, limit the files included to characters in [a-zA-Z0-9_-] to
      avoid editor temporary files.  (Closes: #479481)
  * On new installations of remctl-server, add the inetd.conf line with

