## remctl 2.18

=== debian/changelog ===
remctl (2.18-1) unstable; urgency=low

  * New upstream release.
    - Fix uninitialized variable in remctld standalone server.

 -- Russ Allbery <rra@debian.org>  Tue, 31 May 2011 17:10:09 -0700

remctl (2.17-1) unstable; urgency=low

  * New upstream release.
    - Fix return object construction in the Python simple bindings.
    - Support -b option in remctld to set the bind address.
    - Support IPv6 in remctld when run stand-alone.
    - Add a pkg-config configuration file for libremctl.
    - Set PHP extension test to be noninteractive.
    - Initialize sockaddr structs more correctly.
  * Remove Conflicts/Replaces referring to versions older than oldstable.
  * Update standards version to 3.9.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Tue, 31 May 2011 15:40:02 -0700

remctl (2.16-2) unstable; urgency=low

  * Skip the getaddrinfo invalid host test if foo.invalid resolves using
    gethostbyname.  This hopefully works around build issues on kFreeBSD.
    (See #626047)
  * Update network utility library from rra-c-util 3.4 to fix problems
    with the test suite on hosts that bind IPv4 addresses when binding
    IPv6 addresses by default.

 -- Russ Allbery <rra@debian.org>  Tue, 10 May 2011 20:53:25 -0700
