=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.14.9), libkrb5-dev,
  libpcre3-dev, libtest-pod-perl, perl, php5-cli, php5-dev, python-all-dev,
  python-support (>= 0.6), ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.eyrie.org/~eagle/software/remctl/
 Vcs-Git: git://git.eyrie.org/kerberos/remctl.git
 Vcs-Browser: http://git.eyrie.org/?p=kerberos/remctl.git
@@ -44,8 +44,6 @@
 Package: remctl-client
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: remctl (<< 1.10-1)
-Replaces: remctl (<< 1.10-1)
 Description: Client for Kerberos-authenticated command execution
  remctl is a client/server protocol for executing specific commands on a
  remote system with Kerberos authentication.  The allowable commands must
@@ -61,8 +59,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, update-inetd | inet-superserver,
  netbase (>= 4.31)
 Recommends: openbsd-inetd | inet-superserver, tcpd
-Conflicts: remctl (<< 1.10-1)
-Replaces: remctl (<< 1.10-1)
 Description: Server for Kerberos-authenticated command execution
  remctl is a client/server protocol for executing specific commands on a
  remote system with Kerberos authentication.  The allowable commands must
