## remctl 3.0

=== debian/changelog ===
remctl (3.0-5) unstable; urgency=low

  * Fix the skip count for the network utility test suite, fixing a
    spurious test failure on systems without IPv6.  Patch from Felix
    Geyer.  (Closes: #654982)
  * Fix removal of build directory paths from RPATH when building the Perl
    module inside a build directory that contains regex metacharacters.

 -- Russ Allbery <rra@debian.org>  Sun, 08 Jan 2012 21:01:28 -0800

remctl (3.0-4) unstable; urgency=low

  * Disable the network timeout test for right now since kfreebsd-amd64 is
    still failing.  Add some additional debugging and run the test with
    full output for now so that this test can hopefully be reinstated in a
    later version.

 -- Russ Allbery <rra@debian.org>  Wed, 02 Nov 2011 19:21:14 -0700

remctl (3.0-3) unstable; urgency=low

  * Further test suite fixes for kfreebsd: Skip network timeout tests if a
    short listen queue doesn't cause any connections to fail, and fix the
    bounds handling when closing open sockets if all connections
    succeeded.  (Closes: #647254)

 -- Russ Allbery <rra@debian.org>  Wed, 02 Nov 2011 12:47:06 -0700

remctl (3.0-2) unstable; urgency=low

  * Allow for different networking behavior seen on kfreebsd systems in
    the test suite.  (Closes: #647254)
    - FreeBSD kernel refuses connections after listen queue exhaustion.
    - getaddrinfo may return other errors on invalid host lookups.

 -- Russ Allbery <rra@debian.org>  Tue, 01 Nov 2011 21:07:03 -0700

remctl (3.0-1) unstable; urgency=low

  * New upstream release.
    - New protocol version 3, adding a NOOP command.
    - More consistent and formal handling of continuation commands.
    - The server no longer closes the connection after version or error
      replies.
    - Add new remctl_set_source_ip function to set the source IP address
      for outgoing client connections.
    - Add new -b option to remctl command-line client to set source IP.
    - Add new remctl_set_ccache function to specify the credential store
      to use for GSS-API authentication.
    - Fix a client memory leak on remctl_close.
    - Send QUIT to the server when reopening a remctl object.
  * Convert libremctl to multiarch.
  * Update to (experimental) debhelper compatibility level V9.
    - Add Pre-Depends: ${misc:Pre-Depends} to libremctl1.
    - Use dpkg-buildflags to set CFLAGS.
    - Enable bindnow hardening.  Leave pie off for right now.
    - Add Lintian override for using an experimental debhelper level.
  * Update Python packaging to use dh_python2.
    - Add XS-Python-Version to debian/control.
    - Add python2 debhelper add-on to debian/rules.
    - Remove build dependency on python-support.

 -- Russ Allbery <rra@debian.org>  Mon, 31 Oct 2011 18:05:11 -0700
