=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
 
-CFLAGS = -Wall -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
-else
-    CFLAGS += -O2
-endif
+# Add additional hardening features.  +pie not added for right now since it
+# needs testing to ensure it doesn't break the shared library and module
+# builds.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
+# Get CFLAGS for rebuilding the remctl client binary and Perl and Python
+# modules.
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 
 # The primary Python version, used to ensure that we run the test suite with
 # the module built for the default version of Python.  These are passed into
@@ -15,7 +17,7 @@
 PYTHON_VERSION := $(shell pyversions -dv)
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- --sysconfdir=/etc/remctl \
@@ -49,6 +51,8 @@
 override_dh_auto_test:
 	LD_LIBRARY_PATH='$(CURDIR)/client/.libs' dh_auto_test \
 	    -- PYTHON_VERSION=$(PYTHON_VERSION) RUBY=ruby1.8
+	echo '=== Special test run for debugging kfreebsd-amd64 ==='
+	tests/runtests -o util/network
 
 # After installing the build for the default version of Ruby, go back and
 # rebuild for the newer version.
@@ -73,8 +77,7 @@
 	dh_installchangelogs NEWS
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libremctl1 (>= 2.10)'
+	dh_makeshlibs -V 'libremctl1 (>= 3.0)'
 
-# Override dh_gencontrol to set up the substvar for the PHP dependency.
 override_dh_gencontrol:
 	dh_gencontrol -- -V"php:Depends=phpapi-`php-config5 --phpapi`"
