## remctl 3.1

=== java/Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 #
 # Originally written by Marcus Watts <mdw@umich.edu>
 # Copyright 2007 Marcus Watts
-# Copyright 2007, 2008 Board of Trustees, Leland Stanford Jr. University
+# Copyright 2007, 2008
+#     The Board of Trustees of the Leland Stanford Junior University
 #
 # See LICENSE for licensing terms.
