=== debian/changelog ===
remctl (3.1-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze.
  * Remove dependency and use of dh-autoreconf and use the upstream build
    system, since the version in stable is quite old.
  * Remove multiarch support.

 -- Russ Allbery <rra@debian.org>  Thu, 22 Mar 2012 09:52:23 -0700

remctl (3.1-1) unstable; urgency=low

  * New upstream release.
    - New remctl_set_timeout function and corresponding API in all the
      language bindings to set a timeout on all further network operations
      on that client connection.
    - remctld supports a user configuration option to run a program as a
      specific user (with supplemental groups).
    - remctld's timeout is now one hour between messages instead of a
      total limit of one hour for the connection.
    - PHP's remctl_output no longer warns on failure.
    - Python's _remctl.remctl_output returns an empty tuple on error.
    - Fix error reporting for non-blocking connect.

 -- Russ Allbery <rra@debian.org>  Wed, 29 Feb 2012 13:14:14 -0800

remctl (3.0-6) unstable; urgency=low

  * Patch the upstream build system to provide more hooks for Perl and
    Python builds and make use of them, removing all the complexity in
    debian/rules to selectively rebuild parts of the source.  As a side
    effect, fix application of the hardening flags to all of the
    interpretor modules.
  * Use dh-autoreconf to rebuild the Autotools build system, and link with
    --as-needed to remove the additional unnecessarily library
    dependencies for the client.  Remove the workaround of relinking the
    binary, which removed the hardening flags.
  * Pass the hardening flags into the Perl and Python module rebuilds.
  * Depend on debhelper (>= 9) now that V9 is no longer experimental and
    remove now-unneeded Lintian override.
  * Remove the special additional test run for kfreebsd-amd64.  The
    problem has been located and corrected upstream.

 -- Russ Allbery <rra@debian.org>  Sat, 04 Feb 2012 20:21:09 -0800
