=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), dpkg-dev (>= 1.14.9), libkrb5-dev,
- libpcre3-dev, libtest-pod-perl, perl, php5-cli, php5-dev, python-all-dev,
- ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev
+Build-Depends: debhelper (>= 9), libkrb5-dev, libpcre3-dev,
+ libtest-pod-perl, perl, php5-cli, php5-dev, python-all-dev, ruby1.8,
+ ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev
 XS-Python-Version: >= 2.6
 Standards-Version: 3.9.2
 Homepage: http://www.eyrie.org/~eagle/software/remctl/
@@ -14,7 +14,6 @@
 Package: libremctl1
 Section: libs
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library for Kerberos-authenticated command execution
