=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
-Build-Depends: debhelper (>= 9), libkrb5-dev, libpcre3-dev,
- libtest-pod-perl, perl, php5-cli, php5-dev, python-all-dev, ruby1.8,
- ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev
+Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.14.9),
+ libkrb5-dev, libpcre3-dev, libtest-pod-perl, perl, php5-cli, php5-dev,
+ python-all-dev, ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev
 XS-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.eyrie.org/~eagle/software/remctl/
 Vcs-Git: git://git.eyrie.org/kerberos/remctl.git
 Vcs-Browser: http://git.eyrie.org/?p=kerberos/remctl.git
@@ -14,6 +14,7 @@
 Package: libremctl1
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library for Kerberos-authenticated command execution
@@ -30,6 +31,7 @@
 Section: libdevel
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libremctl1 (= ${binary:Version})
 Suggests: libkrb5-dev
 Description: Development files for Kerberos-authenticated command execution
@@ -45,6 +47,7 @@
 
 Package: remctl-client
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Client for Kerberos-authenticated command execution
  remctl is a client/server protocol for executing specific commands on a
@@ -58,6 +61,7 @@
 
 Package: remctl-server
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, update-inetd | inet-superserver,
  netbase (>= 4.31)
 Recommends: openbsd-inetd | inet-superserver, tcpd
@@ -117,10 +121,12 @@
  This package contains the Python remctl extension, which provides native
  Python bindings for the libremctl client library.
 
-Package: libremctl-ruby
+Package: ruby-remctl
 Section: ruby
-Architecture: all
-Depends: ${misc:Depends}, libremctl-ruby1.8
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libremctl-ruby1.8 (<< 3.2), libremctl-ruby1.9 (<< 3.2)
+Breaks: libremctl-ruby1.8 (<< 3.2), libremctl-ruby1.9 (<< 3.2)
 Description: Ruby extension for Kerberos-authenticated command execution
  remctl is a client/server protocol for executing specific commands on a
  remote system with Kerberos authentication.  The allowable commands must
@@ -129,14 +135,15 @@
  associated with an ACL containing a list of Kerberos principals
  authorized to run that command.
  .
- This package is a metapackage that depends on the Ruby bindings for the
- remctl client library for the default version of Ruby.
+ This package contains the Ruby remctl extension, which provides native
+ Ruby bindings for the libremctl client library.
 
-Package: libremctl-ruby1.8
-Section: ruby
+Package: libremctl-ruby
+Section: oldlibs
+Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Ruby 1.8 extension for Kerberos-authenticated command execution
+Depends: ${misc:Depends}, ruby-remctl
+Description: Ruby extension for remctl (transitional package)
  remctl is a client/server protocol for executing specific commands on a
  remote system with Kerberos authentication.  The allowable commands must
  be listed in a server configuration file, and the executable run on the
@@ -144,14 +151,15 @@
  associated with an ACL containing a list of Kerberos principals
  authorized to run that command.
  .
- This package contains the Ruby 1.8 remctl extension, which provides
- native Ruby bindings for the libremctl client library for Ruby 1.8.
+ This is a transitional package to handle upgrades from the older Ruby
+ extension naming scheme.  It can be safely removed.
 
-Package: libremctl-ruby1.9.1
-Section: ruby
+Package: libremctl-ruby1.8
+Section: oldlibs
+Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Ruby 1.9.1 extension for Kerberos-authenticated command execution
+Depends: ${misc:Depends}, ruby-remctl
+Description: Ruby 1.8 extension for remctl (transitional package)
  remctl is a client/server protocol for executing specific commands on a
  remote system with Kerberos authentication.  The allowable commands must
  be listed in a server configuration file, and the executable run on the
@@ -159,5 +167,21 @@
  associated with an ACL containing a list of Kerberos principals
  authorized to run that command.
  .
- This package contains the Ruby 1.9.1 remctl extension, which provides
- native Ruby bindings for the libremctl client library for Ruby 1.9.1.
+ This is a transitional package to handle upgrades from the older Ruby
+ 1.8 extension naming scheme.  It can be safely removed.
+
+Package: libremctl-ruby1.9.1
+Section: oldlibs
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends}, ruby-remctl
+Description: Ruby 1.9.1 extension for remctl (transitional package)
+ remctl is a client/server protocol for executing specific commands on a
+ remote system with Kerberos authentication.  The allowable commands must
+ be listed in a server configuration file, and the executable run on the
+ server may be mapped to any command name.  Each command is also
+ associated with an ACL containing a list of Kerberos principals
+ authorized to run that command.
+ .
+ This is a transitional package to handle upgrades from the older Ruby
+ 1.9.1 extension naming scheme.  It can be safely removed.
